ObjectStreamException (Java Platform SE 8 )
Keywords: java.io.ObjectStreamException class
Date: 2026-06-25

compact1, compact2, compact3
java.io

## Class ObjectStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InvalidClassException, InvalidObjectException, NotActiveException, NotSerializableException, OptionalDataException, StreamCorruptedException, WriteAbortedException

      public abstract class ObjectStreamException
      extends IOException

  Superclass of all exceptions specific to Object Stream classes.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ObjectStreamException()` Create an ObjectStreamException.
    `protected` | `ObjectStreamException(String classname)` Create an ObjectStreamException with the specified argument.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectStreamException

          protected ObjectStreamException(String classname)

      Create an ObjectStreamException with the specified argument.
      Parameters:
        `classname` - the detailed message for the exception

    - #### ObjectStreamException

          protected ObjectStreamException()

      Create an ObjectStreamException.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.